actions: []
api_documentation: http://docs.ros.org/groovy/api/genpy/html
authors: Ken Conley, Troy Straszheim, Morten Kjaergaard
brief: ''
bugtracker: https://github.com/ros/genpy/issues
depends:
- genmsg
- catkin
depends_on:
- message_generation
- rosservice
- test_roslib_comm
- rqt_py_common
- test_rosbag
- rospy
- message_runtime
- rosbag
description: Python ROS message and service generators.
devel_jobs:
- devel-groovy-genpy
doc_job: doc-groovy-genpy
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Dirk Thomas <dthomas@osrfoundation.org>
msgs:
- ObjectArray
- Object
- TestPrimitiveArray
- TestFillSimple
- TestManyFields
- TestFillEmbedTime
- TestString
- TestMsgArray
package_type: package
release_jobs:
- ros-groovy-genpy_sourcedeb
- ros-groovy-genpy_binarydeb_precise_amd64
- ros-groovy-genpy_binarydeb_precise_i386
- ros-groovy-genpy_binarydeb_oneiric_amd64
- ros-groovy-genpy_binarydeb_oneiric_i386
- ros-groovy-genpy_binarydeb_quantal_amd64
- ros-groovy-genpy_binarydeb_quantal_i386
repo_name: genpy
repo_url: https://github.com/ros/genpy
srvs: []
timestamp: 1412554193.999236
url: ''
vcs: git
vcs_uri: https://github.com/ros/genpy.git
vcs_version: groovy-devel
